#!/bin/sh

# This script executes the autorun-fb.sh script provided by imx-test package to confirm framebuffer functionality via LVDS.

Validate(){
	# Execute autorun-fb unit test from imx-test.
	echo "Observe the result on the connected display"
	sh /unit_tests/Display/autorun-fb.sh | tee framebuffer_log.txt
	check_log=$(cat framebuffer_log.txt | grep "Exiting PASS")
	if [ "$check_log" != "autorun-fb.sh: Exiting PASS" ]; then
		echo "Framebuffer: FAIL"
		exit 1
		fi
}

# Run fbset utility to know the current framebuffer device property.
echo "#############fbset###############"
fbset
soc_id=$(cat /sys/devices/soc0/soc_id)
if [[ $soc_id == "i.MX6"* ]];then
    disp_dev=$(cat /sys/class/graphics/fb0/fsl_disp_dev_property )
	if [ $disp_dev == "ldb" ];then
		echo "LVDS Display is connected"
		Validate
	else
		echo "LVDS Display is not connected"
		exit 1
	fi
else
	echo "Couldn't probe connected display device property"
fi
